std::span::rbegin(3)

NAME
std::span::rbegin - std::span::rbegin

Synopsis
   constexpr reverse_iterator rbegin() const noexcept;
   Returns a reverse iterator to the first element of the reversed span. It corresponds
   to the last element of the non-reversed span. If the span is empty, the returned
   iterator is equal to rend().
   range-rbegin-rend.svg

Parameters
   (none)

Return value
   Reverse iterator to the first element.

Complexity
   Constant.

Example
// Run this code
 #include <algorithm>
 #include <iostream>
 #include <iterator>
 #include <span>
 int main()
 {
     constexpr std::span<const char> code{ "@droNE_T0P_w$s@s#_SECRET_a,p^42!" };
     auto hacker = [](const unsigned O) { return O-0141<120; };
     std::copy_if(code.rbegin(), code.rend(),
         std::ostream_iterator<const char>(std::cout), hacker);
 }

Output:
 password

See also
   rend returns a reverse iterator to the end
   (C++20) (public member function)
   rbegin returns a reverse iterator to the beginning of a container or array
   crbegin (function template)
   (C++14)